import 'package:example/src/ui/home/controller/home_controller.dart';
import 'package:example/src/ui/splash/splashsreen.dart';
import 'package:floative/core/flavor/flavor.dart';
import 'package:floative/core/floative_base/floative.dart';
import 'package:floative/widgets/floative_app.dart';
import 'package:flutter/material.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();

  Floative.I.factory.register<HomeController>(() => HomeController());

  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return FloativeApp(
      flavor: Flavor.development,
      home: SplashScreen(),
    );
  }
}
