import 'package:example/src/ui/home/controller/home_controller.dart';
import 'package:floative/widgets/floative_stateless_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';

class FourthPage extends FloativeStatelessWidget<HomeController> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('Fourth page'),
        ),
        body: GestureDetector(
            onTap: () => dismissKeyboard(),
            child: Container(
              height: MediaQuery.of(context).size.height,
              width: MediaQuery.of(context).size.width,
              color: Colors.pinkAccent,
              child: Column(
                mainAxisSize: MainAxisSize.max,
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Text(controller.value),
                  Container(
                    child: TextField(
                      maxLines: 2,
                      decoration: InputDecoration(
                          hintText:
                              "type on me then tap on the screen\nto dismiss the keyboard"),
                    ),
                  )
                ],
              ),
            )));
  }
}
