import 'package:example/src/ui/home/controller/home_controller.dart';
import 'package:example/src/ui/second/second_page.dart';
import 'package:example/src/ui/shared/default_button_widget.dart';
import 'package:floative/core/mixins/floative_view_mixin.dart';
import 'package:floative/floative_flutter.dart';
import 'package:flutter/material.dart';

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage>
    with FloativeViewMixin<HomeController> {
  @override
  void initState() {
    super.initState();
    Ship.I.debugShowPages();
    controller.debugShowValue();
    controller.value = "HomePage Value";
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(
          'Floative Example App',
          style: TextStyle(color: Colors.black),
        ),
        backgroundColor: Color(0xffE04E68),
        centerTitle: true,
        automaticallyImplyLeading: false,
        elevation: 0,
      ),
      backgroundColor: Color(0xffE04E68),
      body: Center(
          child: Column(
        children: [
          DefaultButton(
              text: "Next page",
              onTap: () {
                Ship.I.to(page: SecondPage());
              }),
        ],
      )),
    );
  }
}
