part of 'reactive_widget.dart';

mixin ReactiveWidgetMixin on State<Reactive> {
  void initReaction(ReactiveBase element) {
    SchedulerBinding.instance.addPostFrameCallback((timeStamp) {
      element.onChange.listen((event) {
        if (!mounted) return;
        setState(() {});
      });
    });
  }
}
